Summary: GNU Compiler Collection
Name: gcc
Version: 4.2.4
Release: 2
Group: Development/Tools
License: GPL
URL: http://gcc.gnu.org/
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch

# Unless you have a lot of space in /var/tmp, you will probably need to
# specify --buildroot on the command line to point to a larger filesystem.
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: bash, sed, automake, autoconf, texinfo, make, tar, gcc
BuildRequires: gmp-devel, mpfr-devel
Requires: info
Prereq: /sbin/install-info
Requires: libgcc = %{version}-%{release}
Conflicts: g++ <= 2.9.aix51.020209-4

%ifos aix5.1
%define buildhost powerpc-ibm-aix5.1.0.0
Requires: AIX-rpm >= 5.1.0.0
Requires: AIX-rpm < 5.2.0.0
%endif
%ifos aix5.2
%define buildhost powerpc-ibm-aix5.2.0.0
Requires: AIX-rpm >= 5.2.0.0
Requires: AIX-rpm < 5.3.0.0
%endif
%ifos aix5.3
%define buildhost powerpc-ibm-aix5.3.0.0
Requires: AIX-rpm >= 5.3.0.0
Requires: AIX-rpm < 5.4.0.0
%endif
%ifos aix6.1
%define buildhost powerpc-ibm-aix6.1.0.0
Requires: AIX-rpm >= 6.1.0.0
Requires: AIX-rpm < 6.2.0.0
%endif

%define gcclibdir %{_libdir}/gcc/%{buildhost}/%{version}
%define gcclibexecdir %{_libexecdir}/gcc/%{buildhost}/%{version}

%description
The gcc package contains the GNU Compiler Collection version %{version}.
You'll need this package in order to compile C code.


%package c++
Summary: C++ support for GCC
Group: Development/Languages
Requires: gcc = %{version}-%{release}
Requires: libstdc++-devel = %{version}-%{release}
Obsoletes: g++
%ifos aix5.1
Requires: AIX-rpm >= 5.1.0.0
Requires: AIX-rpm < 5.2.0.0
%endif
%ifos aix5.2
Requires: AIX-rpm >= 5.2.0.0
Requires: AIX-rpm < 5.3.0.0
%endif
%ifos aix5.3
Requires: AIX-rpm >= 5.3.0.0
Requires: AIX-rpm < 5.4.0.0
%endif
%ifos aix6.1
Requires: AIX-rpm >= 6.1.0.0
Requires: AIX-rpm < 6.2.0.0
%endif

%description c++
This package adds C++ support to the GNU Compiler Collection.
It includes support for most of the current C++ specification,
including templates and exception handling.


%package cpp
Summary: The C Preprocessor
Group: Development/Languages
Requires: gcc = %{version}-%{release}
%ifos aix5.1
Requires: AIX-rpm >= 5.1.0.0
Requires: AIX-rpm < 5.2.0.0
%endif
%ifos aix5.2
Requires: AIX-rpm >= 5.2.0.0
Requires: AIX-rpm < 5.3.0.0
%endif
%ifos aix5.3
Requires: AIX-rpm >= 5.3.0.0
Requires: AIX-rpm < 5.4.0.0
%endif
%ifos aix6.1
Requires: AIX-rpm >= 6.1.0.0
Requires: AIX-rpm < 6.2.0.0
%endif

%description cpp
Cpp is the GNU C-Compatible Compiler Preprocessor.
Cpp is a macro processor which is used automatically
by the C compiler to transform your program before actual
compilation. It is called a macro processor because it allows
you to define macros, abbreviations for longer
constructs.

The C preprocessor provides four separate functionalities: the
inclusion of header files (files of declarations that can be
substituted into your program); macro expansion (you can define macros,
and the C preprocessor will replace the macros with their definitions
throughout the program); conditional compilation (using special
preprocessing directives, you can include or exclude parts of the
program according to various conditions); and line control (if you use
a program to combine or rearrange source files into an intermediate
file which is then compiled, you can use line control to inform the
compiler about where each source line originated).

You should install this package if you are a C programmer and you use
macros.


%package -n libgcc
Summary: GCC version %{version} shared support library
Group: Development/Libraries
%ifos aix5.1
Requires: AIX-rpm >= 5.1.0.0
Requires: AIX-rpm < 5.2.0.0
%endif
%ifos aix5.2
Requires: AIX-rpm >= 5.2.0.0
Requires: AIX-rpm < 5.3.0.0
%endif
%ifos aix5.3
Requires: AIX-rpm >= 5.3.0.0
Requires: AIX-rpm < 5.4.0.0
%endif
%ifos aix6.1
Requires: AIX-rpm >= 6.1.0.0
Requires: AIX-rpm < 6.2.0.0
%endif

%description -n libgcc
This package contains GCC shared support library which is needed
e.g. for exception handling support.


%package -n libstdc++
Summary: GNU Standard C++ Library
Group: Development/Libraries
Requires: libgcc
%ifos aix5.1
Requires: AIX-rpm >= 5.1.0.0
Requires: AIX-rpm < 5.2.0.0
%endif
%ifos aix5.2
Requires: AIX-rpm >= 5.2.0.0
Requires: AIX-rpm < 5.3.0.0
%endif
%ifos aix5.3
Requires: AIX-rpm >= 5.3.0.0
Requires: AIX-rpm < 5.4.0.0
%endif
%ifos aix6.1
Requires: AIX-rpm >= 6.1.0.0
Requires: AIX-rpm < 6.2.0.0
%endif

%description -n libstdc++
The libstdc++ package contains a rewritten standard compliant GCC Standard
C++ Library.


%package -n libstdc++-devel
Summary: Header files and libraries for C++ development
Group: Development/Libraries
Requires: libstdc++
%ifos aix5.1
Requires: AIX-rpm >= 5.1.0.0
Requires: AIX-rpm < 5.2.0.0
%endif
%ifos aix5.2
Requires: AIX-rpm >= 5.2.0.0
Requires: AIX-rpm < 5.3.0.0
%endif
%ifos aix5.3
Requires: AIX-rpm >= 5.3.0.0
Requires: AIX-rpm < 5.4.0.0
%endif
%ifos aix6.1
Requires: AIX-rpm >= 6.1.0.0
Requires: AIX-rpm < 6.2.0.0
%endif

%description -n libstdc++-devel
This is the GNU implementation of the standard C++ libraries.  This
package includes the header files and libraries needed for C++
development. This includes a rewritten implementation of STL.


%package gfortran
Summary: Fortran 95 support
Group: Development/Languages
Requires: gcc = %{version}-%{release}
Requires: gmp, mpfr
%ifos aix5.1
Requires: AIX-rpm >= 5.1.0.0
Requires: AIX-rpm < 5.2.0.0
%endif
%ifos aix5.2
Requires: AIX-rpm >= 5.2.0.0
Requires: AIX-rpm < 5.3.0.0
%endif
%ifos aix5.3
Requires: AIX-rpm >= 5.3.0.0
Requires: AIX-rpm < 5.4.0.0
%endif
%ifos aix6.1
Requires: AIX-rpm >= 6.1.0.0
Requires: AIX-rpm < 6.2.0.0
%endif

%description gfortran
The gcc-gfortran package provides support for compiling Fortran 95
programs with the GNU Compiler Collection.


%package -n libgomp
Summary: GCC OpenMP 2.5 shared support library
Group: Development/Languages
Requires: gcc = %{version}-%{release}
%ifos aix5.1
Requires: AIX-rpm >= 5.1.0.0
Requires: AIX-rpm < 5.2.0.0
%endif
%ifos aix5.2
Requires: AIX-rpm >= 5.2.0.0
Requires: AIX-rpm < 5.3.0.0
%endif
%ifos aix5.3
Requires: AIX-rpm >= 5.3.0.0
Requires: AIX-rpm < 5.4.0.0
%endif
%ifos aix6.1
Requires: AIX-rpm >= 6.1.0.0
Requires: AIX-rpm < 6.2.0.0
%endif

%description -n libgomp
This package contains GCC shared support library which is needed
for OpenMP 2.5 support.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p0


%build
# speed up the configure processes...
export CONFIG_SHELL=/opt/freeware/bin/bash
export CONFIGURE_ENV_ARGS=/opt/freeware/bin/bash

cd ..
rm -rf gcc-build
mkdir gcc-build
cd gcc-build
%ifos aix5.1
CC=gcc \
%else
CC=cc \
%endif
BOOT_CFLAGS="-O2 -I/opt/freeware/include" \
CFLAGS="-O2 -I/opt/freeware/include" \
CXXFLAGS="-O2 -I/opt/freeware/include" \
LIBCFLAGS="-O2 -I/opt/freeware/include" \
LIBCXXFLAGS="-O2 -I/opt/freeware/include -fno-implicit-templates" \
LDFLAGS="-L/opt/freeware/lib" \
../%{name}-%{version}/configure \
--with-as=/usr/bin/as \
--with-ld=/usr/bin/ld \
--enable-languages="c,c++,fortran" \
--prefix=%{_prefix} \
--enable-threads \
--enable-version-specific-runtime-libs \
--disable-nls \
--enable-decimal-float=dpd \
--host=%{buildhost}

ulimit -d unlimited
ulimit -s unlimited
gmake -j 1 \
    CFLAGS='-O2 -I/opt/freeware/include' \
    CXXFLAGS='-O2 -I/opt/freeware/include' \
    LIBCFLAGS='-O2 -I/opt/freeware/include' \
    LIBCXXFLAGS='-O2 -I/opt/freeware/include -fno-implicit-templates' \
    BOOT_CFLAGS='-O2 -I/opt/freeware/include' \
    bootstrap-lean

# remove the "-print-multi-os-directory" flag...
sed -e "s/MULTIOSDIR = \`\$(CC) \$(LIBCFLAGS) -print-multi-os-directory\`/MULTIOSDIR = ./" libiberty/Makefile > Makefile.tmp
mv -f Makefile.tmp libiberty/Makefile


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd ../gcc-build
gmake install DESTDIR=${RPM_BUILD_ROOT}

# strip compiler binaries
strip ${RPM_BUILD_ROOT}%{_bindir}/* 2>/dev/null || :
for file in cc1 cc1plus collect2 f951; do
    strip ${RPM_BUILD_ROOT}%{gcclibexecdir}/$file 2>/dev/null || :
done

# strip utilities
strip ${RPM_BUILD_ROOT}%{gcclibexecdir}/install-tools/fixincl 2>/dev/null || :

# remove unrelated man pages
rm -rf ${RPM_BUILD_ROOT}%{_mandir}/man7

# remove libiberty.a library which is not used directly by gcc
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libiberty.a
for dir in power powerpc ppc64 pthread; do
    rm -rf ${RPM_BUILD_ROOT}%{_libdir}/$dir
done

# remove empty include directory
rmdir ${RPM_BUILD_ROOT}%{_includedir} || :

# gzip info pages
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

# add compatibility symbolic links
(
    cd ${RPM_BUILD_ROOT}%{_libdir}
    ln -s gcc/%{buildhost}/%{version}/libgcc_s.a .
    ln -s gcc/%{buildhost}/%{version}/libgfortran.a .
    ln -s gcc/%{buildhost}/%{version}/libgomp.a .
    ln -s gcc/%{buildhost}/%{version}/libstdc++.a .
    ln -s gcc/%{buildhost}/%{version}/libsupc++.a .
)

# create links in /usr/bin
(
    cd ${RPM_BUILD_ROOT}
    mkdir -p usr/bin
    cd usr/bin
    for f in c++ cpp g++ gcc gccbug gcov gfortran \
             %{buildhost}-c++ %{buildhost}-g++ \
             %{buildhost}-gcc %{buildhost}-gcc-%{version} \
             %{buildhost}-gfortran ; do
        ln -sf ../..%{_bindir}/$f .
    done
)

# remove the precompiled header '*.gch' dirs
# people can always precompile on their own whatever they want, but
# shipping this for everybody is unnecessary.

gchlist=`find ${RPM_BUILD_ROOT}%{_libdir}/gcc/%{buildhost}/%{version}/include/c++ -type f -name "*.gch"`
rm -f ${gchlist}
gchlist=`find ${RPM_BUILD_ROOT}%{_libdir}/gcc/%{buildhost}/%{version}/include/c++ -type d -name "*.gch"`
rmdir ${gchlist}


%post 
/sbin/install-info %{_infodir}/gcc.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/gccinstall.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/gccint.info.gz %{_infodir}/dir || :

%post -n libgomp
/sbin/install-info %{_infodir}/libgomp.info.gz %{_infodir}/dir || :

%post cpp
/sbin/install-info %{_infodir}/cpp.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/cppinternals.info.gz %{_infodir}/dir || :

%post gfortran
/sbin/install-info %{_infodir}/gfortran.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gcc.info.gz %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/gccinstall.info.gz %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/gccint.info.gz %{_infodir}/dir || :
fi

%preun -n libgomp
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/libgomp.info.gz %{_infodir}/dir || :
fi

%preun cpp
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/cpp.info.gz %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/cppinternals.info.gz %{_infodir}/dir || :
fi

%preun gfortran
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gfortran.info.gz %{_infodir}/dir || :
fi


%files
%defattr(-,root,system)
%{_bindir}/gcc
%{_bindir}/gccbug
%{_bindir}/gcov
%{_bindir}/%{buildhost}-gcc
%{_bindir}/%{buildhost}-gcc-%{version}
/usr/bin/gcc
/usr/bin/gccbug
/usr/bin/gcov
/usr/bin/%{buildhost}-gcc
/usr/bin/%{buildhost}-gcc-%{version}
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{buildhost}
%dir %{_libdir}/gcc/%{buildhost}/%{version}
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/ppc64
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64
%{_libdir}/gcc/%{buildhost}/%{version}/libgcc.a
%{_libdir}/gcc/%{buildhost}/%{version}/libgcc_eh.a
%{_libdir}/gcc/%{buildhost}/%{version}/libgcov.a
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgcc.a
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgcc_eh.a
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgcov.a
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgcc.a
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgcc_eh.a
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgcov.a
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgcc.a
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgcc_eh.a
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgcov.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgcc.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgcc_eh.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgcov.a
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgcc.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgcc_eh.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgcov.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgcc.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgcc_eh.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgcov.a
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgcc.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgcc_eh.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgcov.a

%{_libexecdir}/gcc/%{buildhost}/%{version}/collect2

%{_libdir}/gcc/%{buildhost}/%{version}/include/[^c++]*

%{_libdir}/gcc/%{buildhost}/%{version}/install-tools

%{_infodir}/gcc*

%{_mandir}/man1/gcc.1
%{_mandir}/man1/gcov.1
%doc gcc/COPYING* BUGS FAQ MAINTAINERS gcc/README* 


%files cpp 
%dir %{_libexecdir}/gcc
%dir %{_libexecdir}/gcc/%{buildhost}
%dir %{_libexecdir}/gcc/%{buildhost}/%{version}
%{_bindir}/cpp
/usr/bin/cpp
%{_libexecdir}/gcc/%{buildhost}/%{version}/cc1
%{_infodir}/cpp*


%files -n libgomp
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{buildhost}
%dir %{_libdir}/gcc/%{buildhost}/%{version}
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/ppc64
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64
%{_libdir}/gcc/%{buildhost}/%{version}/libgomp.a
%{_libdir}/gcc/%{buildhost}/%{version}/libgomp.la
%{_libdir}/gcc/%{buildhost}/%{version}/libgomp.spec
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgomp.a
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgomp.la
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgomp.spec
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgomp.a
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgomp.la
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgomp.spec
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgomp.a
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgomp.la
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgomp.spec
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgomp.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgomp.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgomp.spec
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgomp.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgomp.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgomp.spec
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgomp.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgomp.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgomp.spec
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgomp.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgomp.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgomp.spec
%{_libdir}/libgomp.a
%{_infodir}/libgomp*


%files c++
%defattr(-,root,system)
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{buildhost}
%dir %{_libdir}/gcc/%{buildhost}/%{version}
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/ppc64
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64
%{_bindir}/c++
%{_bindir}/g++
%{_bindir}/%{buildhost}-c++
%{_bindir}/%{buildhost}-g++
/usr/bin/c++
/usr/bin/g++
/usr/bin/%{buildhost}-c++
/usr/bin/%{buildhost}-g++
%dir %{_libexecdir}/gcc
%dir %{_libexecdir}/gcc/%{buildhost}
%dir %{_libexecdir}/gcc/%{buildhost}/%{version}
%{_libexecdir}/gcc/%{buildhost}/%{version}/cc1plus
%{_mandir}/man1/g++.1
%doc gcc/COPYING*


%files -n libgcc
%defattr(-,root,system)
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{buildhost}
%dir %{_libdir}/gcc/%{buildhost}/%{version}
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/ppc64
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64
%{_libdir}/gcc/%{buildhost}/%{version}/libgcc_s.a
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgcc_s.a
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgcc_s.a
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgcc_s.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgcc_s.a
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgcc_s.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgcc_s.a
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgcc_s.a
%{_libdir}/libgcc_s.a
%doc gcc/COPYING*


%files -n libstdc++
%defattr(-,root,system)
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{buildhost}
%dir %{_libdir}/gcc/%{buildhost}/%{version}
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/ppc64
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64
%{_libdir}/gcc/%{buildhost}/%{version}/libstdc++.a
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/power/libstdc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libstdc++.a
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libstdc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libstdc++.a
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libstdc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libstdc++.a
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libstdc++.a
%{_libdir}/libstdc++.a
%doc gcc/COPYING*


%files -n libstdc++-devel
%defattr(-,root,system)
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{buildhost}
%dir %{_libdir}/gcc/%{buildhost}/%{version}
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/ppc64
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64
%{_libdir}/gcc/%{buildhost}/%{version}/libstdc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/libsupc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/libsupc++.la
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/power/libstdc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/power/libsupc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/power/libsupc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libstdc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libsupc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libsupc++.la
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libstdc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libsupc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libsupc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libstdc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libsupc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libsupc++.la
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libstdc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libsupc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libsupc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libstdc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libsupc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libsupc++.la
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libstdc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libsupc++.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libsupc++.la
%{_libdir}/gcc/%{buildhost}/%{version}/include/c++
%{_libdir}/libsupc++.a
%doc gcc/COPYING*


%files gfortran
%defattr(-,root,system)
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/%{buildhost}
%dir %{_libdir}/gcc/%{buildhost}/%{version}
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/ppc64
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread
%ifos aix5.1
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/power
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc
%endif
%dir %{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64
%{_bindir}/gfortran
%{_bindir}/%{buildhost}-gfortran
/usr/bin/gfortran
/usr/bin/%{buildhost}-gfortran
%{_libdir}/gcc/%{buildhost}/%{version}/finclude
%{_libdir}/gcc/%{buildhost}/%{version}/libgfortran.a
%{_libdir}/gcc/%{buildhost}/%{version}/libgfortran.la
%{_libdir}/gcc/%{buildhost}/%{version}/libgfortranbegin.a
%{_libdir}/gcc/%{buildhost}/%{version}/libgfortranbegin.la
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgfortran.a
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgfortran.la
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgfortranbegin.a
%{_libdir}/gcc/%{buildhost}/%{version}/power/libgfortranbegin.la
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgfortran.a
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgfortran.la
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgfortranbegin.a
%{_libdir}/gcc/%{buildhost}/%{version}/powerpc/libgfortranbegin.la
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgfortran.a
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgfortran.la
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgfortranbegin.a
%{_libdir}/gcc/%{buildhost}/%{version}/ppc64/libgfortranbegin.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgfortran.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgfortran.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgfortranbegin.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/libgfortranbegin.la
%ifos aix5.1
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgfortran.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgfortran.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgfortranbegin.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/power/libgfortranbegin.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgfortran.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgfortran.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgfortranbegin.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/powerpc/libgfortranbegin.la
%endif
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgfortran.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgfortran.la
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgfortranbegin.a
%{_libdir}/gcc/%{buildhost}/%{version}/pthread/ppc64/libgfortranbegin.la
%{_libdir}/libgfortran.a
%{_libexecdir}/gcc/%{buildhost}/%{version}/f951
%{_infodir}/gfortran.info.gz
%{_mandir}/man1/gfortran.1
%doc gcc/COPYING*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%changelog
* Fri Dec 11 2009 Michael Perzl <michael@perzl.org> - 4.2.4-2
- fixed some spec file and portability issues

* Sat May 31 2008 Michael Perzl <michael@perzl.org> - 4.2.4-1
- Updated to version 4.2.4.

* Tue Feb 19 2008 Michael Perzl <michael@perzl.org> - 4.2.3-1
- Updated to version 4.2.3.

* Thu Nov 29 2007 Michael Perzl <michael@perzl.org> - 4.2.2-1
- First version for AIX, slightly based on the original SPEC file from IBM.
